> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bronto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# bronto encryption-keys

> Manage encryption keys

Manage encryption keys

<Tip>
  * **Platform docs:** [docs.bronto.io/Account-Management/BYOK](https://docs.bronto.io/Account-Management/BYOK)
  * **API reference:** [docs.bronto.io/api-reference/encryption-keys/retrieve-a-list-of-encryption-keys](https://docs.bronto.io/api-reference/encryption-keys/retrieve-a-list-of-encryption-keys)
</Tip>

```sh theme={"dark"}
bronto encryption-keys <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto encryption-keys create`](/cli/reference/commands/encryption-keys#bronto-encryption-keys-create) | Create an encryption key |
| [`bronto encryption-keys delete`](/cli/reference/commands/encryption-keys#bronto-encryption-keys-delete) | Delete an encryption key |
| [`bronto encryption-keys get`](/cli/reference/commands/encryption-keys#bronto-encryption-keys-get) | Get an encryption key by ID |
| [`bronto encryption-keys list`](/cli/reference/commands/encryption-keys#bronto-encryption-keys-list) | List encryption keys |
| [`bronto encryption-keys update`](/cli/reference/commands/encryption-keys#bronto-encryption-keys-update) | Update an encryption key |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto encryption-keys create

Create an encryption key

```sh theme={"dark"}
bronto encryption-keys create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto encryption-keys create -f name=<name> -f provider=AWS_KMS -f 'aws_kms={"alias_arn":"<alias-arn>"}'
bronto encryption-keys create --input body.json
```

## bronto encryption-keys delete

Delete an encryption key

```sh theme={"dark"}
bronto encryption-keys delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto encryption-keys delete <id> --yes
```

## bronto encryption-keys get

Get an encryption key by ID

```sh theme={"dark"}
bronto encryption-keys get <id> [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto encryption-keys get <id>
```

## bronto encryption-keys list

List encryption keys

```sh theme={"dark"}
bronto encryption-keys list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto encryption-keys list
```

## bronto encryption-keys update

Update an encryption key

```sh theme={"dark"}
bronto encryption-keys update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto encryption-keys update <id> -f name=<name>
bronto encryption-keys update <id> --input body.json
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.